### Method

# ECal Client create_objects_sync

since: 3.6

#### Declaration [src]

    gboolean
    e_cal_client_create_objects_sync (
      ECalClient* client,
      GSList* icalcomps,
      ECalOperationFlags opflags,
      GSList** out_uids,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Requests the calendar backend to create the objects specified by the `icalcomps` argument. Some backends would assign a specific UID to the newly created objects, in those cases these UIDs would be returned in the `out_uids` argument. This function does not modify the original `icalcomps` if their UID changes. Returned `out_uids` should be freed with e_client_util_free_string_slist().

Available since: 3.6

#### Parameters

`icalcomps`

  Type: A list of `ICalComponent*`

  The components to create.

  The data is owned by the caller of the method.

`opflags`

  Type: `ECalOperationFlags`

  Bit-or of `ECalOperationFlags`.

`out_uids`

  Type: A list of `utf8`

  Return value for the UIDs assigned to the new components by the calendar backend.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.